﻿using System;
using System.Linq;
using Microsoft.Practices.Prism.Modularity;
using Microsoft.Practices.Prism.Regions;
using Module1.ViewModels;
using Module1.Views;

namespace Module1
{
	public class Module1 : IModule
	{
		IRegionManager regionManager;

		public Module1(IRegionManager _regionManager)
		{
			this.regionManager = _regionManager;
		}

		public void Initialize()
		{
			//this.regionManager.Regions["TileViewRegion"].Add(new TileViewModel(),"");
			this.regionManager.RegisterViewWithRegion("TileViewRegion", typeof(TileViewModel));
			this.regionManager.RegisterViewWithRegion("Module1SmallRegion", typeof(SmallView));
			this.regionManager.RegisterViewWithRegion("Module1NormalRegion", typeof(NormalView));
			this.regionManager.RegisterViewWithRegion("Module1LargeRegion", typeof(LargeView));
		}
	}
}
