﻿using System;
using System.Linq;
using System.Windows;
using Telerik.Windows.Controls;

namespace Module1.ViewModels
{
	public class TileViewModel : ViewModelBase
	{
		public TileViewModel()
		{
			this.Content = "Module 1 - Content";
			this.Header = "Module 1 - Header";
			this.SmallRegionName = "Module1SmallRegion";
			this.LargeRegionName = "Module1LargeRegion";
			this.NormalRegionName = "Module1NormalRegion";

			this.CloseCommand = new DelegateCommand((p)=>CloseThisTileExecute());
		}

		#region Properties
		public DelegateCommand CloseCommand { get; set; }

		private int position;
		public int Position
		{
			get
			{
				return this.position;
			}
			set
			{
				if (this.position != value)
				{
					this.position = value;
					OnPropertyChanged("Position");
				}
			}
		}

		private string header;
		public string Header
		{
			get
			{
				return this.header;
			}
			set
			{
				if (this.header != value)
				{
					this.header = value;
					OnPropertyChanged("Header");
				}
			}
		}

		private string content;
		public string Content
		{
			get
			{
				return this.content;
			}
			set
			{
				if (this.header != value)
				{
					this.content = value;
					OnPropertyChanged("Content");
				}
			}
		}
		public string SmallRegionName
		{
			get;
			set;
		}

		public string NormalRegionName
		{
			get;
			set;
		}

		public string LargeRegionName
		{
			get;
			set;
		} 
		#endregion

		private void CloseThisTileExecute()
		{
						
		}
	}
}