﻿using System;
using System.Linq;
using Microsoft.Practices.Prism.Modularity;
using Microsoft.Practices.Prism.Regions;
using Module2.ViewModels;
using Module2.Views;

namespace Module2
{
	public class Module2 : IModule
	{
		IRegionManager regionManager;

		public Module2(IRegionManager _regionManager)
		{
			this.regionManager = _regionManager;
		}

		public void Initialize()
		{
			//this.regionManager.Regions["TileViewRegion"].Add(new TileViewModel(),"");
			this.regionManager.RegisterViewWithRegion("TileViewRegion", typeof(TileViewModel));
			this.regionManager.RegisterViewWithRegion("Module2SmallRegion", typeof(SmallView));
			this.regionManager.RegisterViewWithRegion("Module2NormalRegion", typeof(NormalView));
			this.regionManager.RegisterViewWithRegion("Module2LargeRegion", typeof(LargeView));
		}
	}
}
