﻿using System;
using System.Linq;
using Microsoft.Practices.Prism.Modularity;
using Microsoft.Practices.Prism.Regions;
using Module3.ViewModels;
using Module3.Views;

namespace Module3
{
	public class Module3 : IModule
	{
		IRegionManager regionManager;

		public Module3(IRegionManager _regionManager)
		{
			this.regionManager = _regionManager;
		}

		public void Initialize()
		{
			this.regionManager.RegisterViewWithRegion("TileViewRegion", typeof(TileViewModel));
			this.regionManager.RegisterViewWithRegion("Module3SmallRegion", typeof(SmallView));
			this.regionManager.RegisterViewWithRegion("Module3NormalRegion", typeof(NormalView));
			this.regionManager.RegisterViewWithRegion("Module3LargeRegion", typeof(LargeView));
		}
	}
}
