﻿using System;
using System.Linq;
using Telerik.Windows.Controls;

namespace Module3.ViewModels
{
	public class TileViewModel : ViewModelBase
	{
		public TileViewModel()
		{
			this.Content = "Module 3 - Content";
			this.Header = "Module 3 - Header";
			this.SmallRegionName = "Module3SmallRegion";
			this.LargeRegionName = "Module3LargeRegion";
			this.NormalRegionName = "Module3NormalRegion";

			this.CloseCommand = new DelegateCommand((p) => this.CloseThisTileExecute());
		}

		#region Properties
		public DelegateCommand CloseCommand { get; set; }

		private int position;
		public int Position
		{
			get
			{
				return this.position;
			}
			set
			{
				if (this.position != value)
				{
					this.position = value;
					OnPropertyChanged("Position");
				}
			}
		}

		private string header;
		public string Header
		{
			get
			{
				return this.header;
			}
			set
			{
				if (this.header != value)
				{
					this.header = value;
					this.OnPropertyChanged("Header");
				}
			}
		}
		
		private string content;
		public string Content
		{
			get
			{
				return this.content;
			}
			set
			{
				if (this.header != value)
				{
					this.content = value;
					this.OnPropertyChanged("Content");
				}
			}
		}
		
		public string SmallRegionName { get; set; }
		
		public string NormalRegionName { get; set; }
		
		public string LargeRegionName { get; set; }
		#endregion

		private void CloseThisTileExecute()
		{
		
		}
	}
}